
immutable Shifted{D<:UnivariateDistribution} <: ContinuousUnivariateDistribution
    unShifted::D      # the original distribution (unShifted)
    l::Float64 # loocation parameter
end



### range and support

minimum(d::Shifted) = minimum(d.unShifted)+d.l
maximum(d::Shifted) = maximum(d.unShifted)+d.l

insupport(d::Shifted, x::Real) = insupport(d.unShifted, x-d.l)

### evaluation

pdf(d::Shifted, x::Float64) = pdf(d.unShifted, x-d.l)

logpdf(d::Shifted, x::Float64) = logpdf(d.unShifted, x-d.l) 

cdf(d::Shifted, x::Float64) = cdf(d.unShifted, x-d.l)

logcdf(d::Shifted, x::Float64) = log(cdf(d.unShifted, x-d.l))

ccdf(d::Shifted, x::Float64) = ccdf(d.unShifted,x-d.l)

logccdf(d::Shifted, x::Float64) = logccdf(d.unShifted, x-d.l)

quantile(d::Shifted, p::Float64) = quantile(d.unShifted, p)+d.l

mean(d::Shifted) = mean(d.unShifted)+d.l
var(d::Shifted) = var(d.unShifted)
mode(d::Shifted) = mode(d.unShifted)+d.l
modes(d::Shifted) = modes(d.unShifted)+d.l
skewness(d::Shifted) = skewness(d.unShifted)
kurtosis(d::Shifted) = kurtosis(d.unShifted)


## random number generation

function rand(d::Shifted)
    return rand(d.unShifted)+d.l
end

## show

function show(io::IO, d::Shifted) 
    print(io, "Shifted(")
    d0 = d.unShifted
    uml, namevals = _use_multline_show(d0)
    uml ? show_multline(io, d0, namevals) : 
          show_oneline(io, d0, namevals)
    print(io, ", location=($(d.l))") 
    uml && println(io)
end

_use_multline_show(d::Shifted) = _use_multline_show(d.unShifted)
